Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp lấy giá trị của dimenson, text và xuất ra file text


  • Please log in to reply
48 replies to this topic

#21 Kỹ sư

Kỹ sư

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 18 October 2011 - 11:04 PM

Vậy thì bạn thử cái code của bác Tue xem

(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (10 250 98 0))) 0)) name)


k0 biết có phải đặt các biến j nữa k0 chứ vẫn k0 được bác ạ
Cảm ơn bác nhiều!

Hề hề hề,
Thử thêm vào code của bạn hai dòng code nữa nhé;

(setq name (getvar "dwgname"))
(setq n (strlen name))
(setq name (substr name 1 (- n 4)))
(command "text" '(x y 0) 2 0 name)
May ra thì ngon như bạn muốn.
Hề hề hề.


Cũng bỏ được đuôi .dwg ngon bác ạ, nhưng mà em muốn edit text cơ
  • 0

Hình đã gửi


#22 npham

npham

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 75 (tàm tạm)

Đã gửi 19 October 2011 - 08:04 AM


k0 biết có phải đặt các biến j nữa k0 chứ vẫn k0 được bác ạ


Thế này nhé, nếu bạn không post được cái bản vẽ có cái text kia lên. Bạn dùng lệnh

(entget (car (entsel))) để xem cái dxf của cái text đó (Trong đó có điểm chèn), hoặc copy cái đoạn dxf đó post lên đây xem nào.
  • 1

#23 Kỹ sư

Kỹ sư

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 October 2011 - 04:39 PM

Sau khi dung lenh tren cua bac voi 1 text ma em muon sua thi no ra the nay:

Command: (entget (car (entsel)))
Select object: ((-1 . <Entity name: 7ef97d00>) (0 . "TEXT") (330 . <Entity

name: 7ef93c38>) (5 . "7D0") (100 . "AcDbEntity") (67 . 1) (410 . "Layout1") (8

. "0") (6 . "Continuous") (100 . "AcDbText") (10 813.5 15.0 0.0) (40 . 3.5) (1

. "E01") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 ."ROMAND") (71 . 0) (72 . 1) (11

818.0 15.0 0.0) (210 0.0 0.0 1.0) (100 . "AcDbText") (73 . 0))


Bac xem ho em voi
Toi ve em se up ban ve len a
Cty em no chan het internet, chan het cong usb, k0 cop ve dc a
  • 0

Hình đã gửi


#24 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 19 October 2011 - 05:44 PM

Sau khi dung lenh tren cua bac voi 1 text ma em muon sua thi no ra the nay:

Command: (entget (car (entsel)))
Select object: ((-1 . <Entity name: 7ef97d00>) (0 . "TEXT") (330 . <Entity

name: 7ef93c38>) (5 . "7D0") (100 . "AcDbEntity") (67 . 1) (410 . "Layout1") (8

. "0") (6 . "Continuous") (100 . "AcDbText") (10 813.5 15.0 0.0) (40 . 3.5) (1

. "E01") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 ."ROMAND") (71 . 0) (72 . 1) (11

818.0 15.0 0.0) (210 0.0 0.0 1.0) (100 . "AcDbText") (73 . 0))


Bac xem ho em voi
Toi ve em se up ban ve len a
Cty em no chan het internet, chan het cong usb, k0 cop ve dc a

Hề hề hề,
Nếu muốn đổi cái nội dung text "E01" của bạn thành cái text "Ban ve cua ong" bạn hãy làm như sau:
(entmod (subst (cons 1 "Ban ve cua ong") (assoc 1 (setq els (entget (car (entsel "\n Chon text can thay"))))) els))
Hề hề hề,...
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#25 npham

npham

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 75 (tàm tạm)

Đã gửi 20 October 2011 - 07:42 AM

Bạn thử xem
(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (10 813.5 15.0 0.0))) 0)) name)

hoặc (Nếu cái text kia là "E01" duy nhất trên bản vẽ)

(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (1 . "E01"))) 0)) name)
  • 1

#26 Kỹ sư

Kỹ sư

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 October 2011 - 11:25 PM

Bạn thử xem
(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (10 813.5 15.0 0.0))) 0)) name)

hoặc (Nếu cái text kia là "E01" duy nhất trên bản vẽ)

(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (1 . "E01"))) 0)) name)


Em làm các bản vẽ với 1 khung tên chuẩn, ví dụ như file đính kèm (Cty em chặn hết cổng usb nên k0 cop đc bản vẽ, phải tự chế 1 cái tương tự)
Và em muốn sửa các text trong các ô như tên bản vẽ, kí hiệu, ,,, bằng cách như bác đã chỉ thì cụ thể phải sửa như thế nào ạ?
http://www.cadviet.c.../3/dt1005_1.dwg

Cảm ơn bác nhiều!
  • 0

Hình đã gửi


#27 Kỹ sư

Kỹ sư

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 October 2011 - 11:29 PM

Hề hề hề,
Nếu muốn đổi cái nội dung text "E01" của bạn thành cái text "Ban ve cua ong" bạn hãy làm như sau:
(entmod (subst (cons 1 "Ban ve cua ong") (assoc 1 (setq els (entget (car (entsel "\n Chon text can thay"))))) els))
Hề hề hề,...


hề hề hề
Em cũng sẽ làm được nhiều thứ với đoạn code này của bác đấy
Cảm ơn bác lắm lắm!
  • 0

Hình đã gửi


#28 npham

npham

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 75 (tàm tạm)

Đã gửi 21 October 2011 - 07:53 AM


Em làm các bản vẽ với 1 khung tên chuẩn, ví dụ như file đính kèm (Cty em chặn hết cổng usb nên k0 cop đc bản vẽ, phải tự chế 1 cái tương tự)
Và em muốn sửa các text trong các ô như tên bản vẽ, kí hiệu, ,,, bằng cách như bác đã chỉ thì cụ thể phải sửa như thế nào ạ?
http://www.cadviet.c.../3/dt1005_1.dwg

Cảm ơn bác nhiều!


Cái đối tượng cần thay ở đây là "DAM TANG 1", thay cái này bằng tên file phải không?
Vậy cái khung tên mẫu của bạn đối lượng này luôn luôn có nội dung là "DAM TANG 1"?
Khi chèn khung tên bạn có chèn ở 1 điểm gốc cố định không?

ở trường hợp 1: Nếu nội dung của khung mẫu luôn luôn là "DAM TANG 1" thì bạn dùng

(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (1 . "DAM TANG 1"))) 0)) name)

ở trường hợp 2: Nếu cái khung tên này luôn được chèn ở 1 điểm cố định bạn dùng

(setq name (vl-filename-base (getvar "dwgname")))
(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (11 370.0 6.5))) 0)) name)

Nếu cả 2 TH không xác định, bạn dùng cách thủ công là chọn nó như đã nói, hoặc sử dụng 1 đoạn code phức tạp hơn

Mà Sao bạn không tạo 1 bock khung tên có thuộc tính?
  • 1

#29 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 21 October 2011 - 02:38 PM

@OP : Bạn hãy dùng Diesel :
- 1. Tạo mới trường tên file khi tạo khung tên :
Tạo 1 text bất kỳ, trong lúc Edit Text (hoặc khi dùng lệnh ddedit) nhấn Ctrl F để vào bảng chèn Field, ở mục Field Category chọn Other -> Chọn Diesel Expression , rồi copy dòng này vào :

$(substr,$(getvar,dwgname),1,$(-, $(strlen,$(getvar,dwgname)),4))


- 2 : Sửa từ text đã có bằng cách chọn tay text :
Dùng lệnh ddedit rồi thực hiện các bước tương tự hoặc sử dụng dòng này

(vla-put-textstring (vlax-ename->vla-object (car (entsel))) "%<\$(substr,$(getvar,dwgname),1,$(-, $(strlen,$(getvar,dwgname)),4))>%")


- 3 : Sửa từ Text có nội dung cố định "DAM TANG 1" trong bản vẽ :

(vla-put-textstring(vlax-ename->vla-object(ssname (ssget "X" '((0 . "TEXT") (1 . "DAM TANG 1"))) 0)) "%<\$(substr,$(getvar,dwgname),1,$(-, $(strlen,$(getvar,dwgname)),4))>%")


- 4 : Sửa từ Text có điểm chèn Center Midle cố định (370.0 6.5 0) :

(vla-put-textstring (vlax-ename->vla-object(ssname (ssget "X" (list (cons 0 "*TEXT")(cons 11 '(370.0 6.5 0.0) ))) 0)) "%<\$(substr,$(getvar,dwgname),1,$(-, $(strlen,$(getvar,dwgname)),4))>%")


Mấu chốt là dãy str Diesel bôi đậm trong bước 1. Bạn hoàn toàn có thể copy hoặc nhét nó vào trong 1 khung tên thuộc tính.
Tại sao nên dùng Diesel + Filed trong trường hợp này ? Bạn hãy save as file sang tên khác rồi Regen để biết lý do :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#30 Kỹ sư

Kỹ sư

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 21 October 2011 - 08:30 PM

Cảm ơn các bác
Thực ra thì em không phải sửa mỗi cái tên bản vẽ trong khung tên, mà còn nhiều text nữa như trong bảng thống kê khối lượng như trong ảnh minh họa em post ở trang trước.
Và các text đó có vị trí xác định được bởi các bản vẽ của 1 loại cấu kiện là cùng form với nhau, và thường là được save as sang rồi thay đổi tên bản vẽ, kích thước, số lượng, ... là được
Và với số lượng bản vẽ lớn, nhưng các thao tác là lặp đi lặp lại nên em mới nhờ mọi người viết cho em cái lisp lấy số liệu từ text, dim xuất sang excel để thuận tiện cho việc tính toán, rồi từ các kết quả trong excel, chèn vào các đoạn code để rồi paste sang CAD, khỏi phải sửa tay
Đoạn code lấy tên file bản vẽ chỉ là 1 trường hợp muốn sửa thôi ạ

Giờ thì với đoạn code mà bác ngpham viết ở trường hợp 2, em đã test được rồi à. Để mai lên công ty thử làm với số lượng text lớn hơn xem thế nào
Cảm ơn các bác npham, DoanVanHa, ketxu, phamthanhbinh, Tue_NV đã nhiệt tình giúp đỡ
Chúc các bác sức khỏe và thành công
  • 0

Hình đã gửi


#31 Kỹ sư

Kỹ sư

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 21 October 2011 - 08:35 PM

À tiện đây, các bác cho em hỏi có cách nào để lisp xuất text, dim ra file csv ở trên xuất dữ liệu của các bản vẽ khác nhau ra cùng 1 file csv được không ạ?
  • 0

Hình đã gửi


#32 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 October 2011 - 09:17 PM

À tiện đây, các bác cho em hỏi có cách nào để lisp xuất text, dim ra file csv ở trên xuất dữ liệu của các bản vẽ khác nhau ra cùng 1 file csv được không ạ?

Hề hề hề,
Có đấy bác ạ, nhưng có nhẽ phải làm kiểu củ chuối một chút.
Ấy là bác sử dụng lệnh open file csv với tham số a (append). Thế rồi sử dụng mỗi lần chạy lisp với một file CAD thì gán thêm dữ liệu vào file csv đã có . Thế là bác sẽ có 1 file csv lưu dữ liệu của nhiều file CAD.
Tuy nó chả được ngon mà lại lắm xơ song ít ra bác cũng xài tạm được trong lúc quẫn bách mà chửa có thứ ngon hơn để xài bác ạ.
Hề hề hề, mong bác chớ giận khi phải biếu bác cái của chả ngon này....
Hề hề hề.....

Bác có thể tham khảo cái lisp này rồi tự chế biến cho hợp khẩu vị của bác nhé:
http://www.cadviet.c.../cad2excel2.lsp
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#33 minhphuong_humg

minhphuong_humg

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 21 March 2012 - 10:08 AM

@Bác ĐVH : Bác đổi foreach sang repeat và dùng Index làm chi ạ ^^
Ngoài ra, nếu dùng *Text thì bác cũng cần xử lý trường hợp có Rtext ạ
Theo e thì viết kiểu như thế này :


(defun C:HA1(/ lst fn fw i j) ;Doan Van Ha Cadviet.com
(princ "\nChon cac Text/Mtext/Dimension can xuat ra file...")
(setq lst (mapcar 'entget (acet-ss-to-list (ssget '((0 . "*TEXT,DIMENSION")))))
fn (getfiled "Chon file de save" "" "csv" 1)
fw (open fn "w") i 0 j 0)
(foreach n lst
(princ
(cond
((wcmatch (cdadr n) "*TEXT")(strcat (acet-dxf 1 n) ";Text" (itoa (setq i (1+ i))) "\n"))
((= (cdadr n) "DIMENSION")(strcat (if (= (acet-dxf 1 n) "")(rtos (acet-dxf 42 n))(acet-dxf 1 n)) ";Dim" (itoa (setq j (1+ j))) "\n"))
)
fw
)
)
(close fw))

P/s thêm : do bác ĐVH chỉ lấy string dạng thô, nên nếu gặp các MText hoặc DimText có Format thì kết quả xuất ra có thể không được như ý (như trường hợp lỗi đầu tiên kia), chứ không phải là true contents nữa ^^



@Bác ĐVH : Bác đổi foreach sang repeat và dùng Index làm chi ạ ^^
Ngoài ra, nếu dùng *Text thì bác cũng cần xử lý trường hợp có Rtext ạ
Theo e thì viết kiểu như thế này :


(defun C:HA1(/ lst fn fw i j) ;Doan Van Ha Cadviet.com
(princ "\nChon cac Text/Mtext/Dimension can xuat ra file...")
(setq lst (mapcar 'entget (acet-ss-to-list (ssget '((0 . "*TEXT,DIMENSION")))))
fn (getfiled "Chon file de save" "" "csv" 1)
fw (open fn "w") i 0 j 0)
(foreach n lst
(princ
(cond
((wcmatch (cdadr n) "*TEXT")(strcat (acet-dxf 1 n) ";Text" (itoa (setq i (1+ i))) "\n"))
((= (cdadr n) "DIMENSION")(strcat (if (= (acet-dxf 1 n) "")(rtos (acet-dxf 42 n))(acet-dxf 1 n)) ";Dim" (itoa (setq j (1+ j))) "\n"))
)
fw
)
)
(close fw))

P/s thêm : do bác ĐVH chỉ lấy string dạng thô, nên nếu gặp các MText hoặc DimText có Format thì kết quả xuất ra có thể không được như ý (như trường hợp lỗi đầu tiên kia), chứ không phải là true contents nữa ^^

Anh ơi, em thấy lisp của anh chạy rất hay. Nhưng em thấy khi kích vào dim thì nó lại cho ra số lẻ anh ạ. Ví dụ: kích thước của em là 38 thì lại cho ra là 376.156. Vậy giờ em chỉ muốn lấy nguyên cái số 38 đó thôi thì phải làm thế nào hả anh? Anh giúp em với ạ! Trân trọng cảm ơn anh rất nhiều.

http://www.cadviet.c.../3/2883_dim.rar
  • 0

#34 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 21 March 2012 - 10:15 AM




Anh ơi, em thấy lisp của anh chạy rất hay. Nhưng em thấy khi kích vào dim thì nó lại cho ra số lẻ anh ạ. Ví dụ: kích thước của em là 38 thì lại cho ra là 376.156. Vậy giờ em chỉ muốn lấy nguyên cái số 38 đó thôi thì phải làm thế nào hả anh? Anh giúp em với ạ! Trân trọng cảm ơn anh rất nhiều.

http://www.cadviet.c.../3/2883_dim.rar

Thay (rtos (acet-dxf 42 n))
Bằng (rtos (acet-dxf 42 n) 2 0)
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#35 minhphuong_humg

minhphuong_humg

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 21 March 2012 - 10:58 AM

Thay (rtos (acet-dxf 42 n))
Bằng (rtos (acet-dxf 42 n) 2 0)

Cảm ơn anh rất nhiều!
  • 0

#36 minhphuong_humg

minhphuong_humg

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 28 November 2013 - 11:28 PM

 

 

Ðây bạn:

(defun C:HA( / lst fn fw index x y z txt)	;Doan Van Ha Cadviet.com
 (princ "\nChon cac Text/Mtext/Dimension can xuat ra file...")
 (setq lst (acet-ss-to-list (ssget '((0 . "*TEXT,DIMENSION"))))
       	fn (getfiled "Chon file de save" "" "csv" 1)
       	fw (open fn "w")
       	index 0 x 1 y 1 z 1)
 (repeat (length lst)
  (cond
   ((= (cdr (assoc 0 (entget (nth index lst)))) "TEXT") (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "text" (itoa x)) x (1+ x)))
   ((= (cdr (assoc 0 (entget (nth index lst)))) "MTEXT") (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "mtext" (itoa y)) y (1+ y)))
   ((= (cdr (assoc 0 (entget (nth index lst)))) "DIMENSION")
	(if (= (cdr (assoc 1 (entget (nth index lst)))) "")
 	(setq txt (strcat (rtos (cdr (assoc 42 (entget (nth index lst))))) "," "dim" (itoa z)) z (1+ z))
 	(setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "dim" (itoa z)) z (1+ z)))))
  (princ (strcat txt "\n") fw)
  (setq index (1+ index)))
 (close fw))

Nhờ Bác Doan Van Ha và các Bác trong diễn ðàn có thể giúp em sửa lisp này với mục ðích sau ðýợc không ạ:

Trýờng hợp 1 [Select từng Dimension):

Lựa chọn (Select) Số thứ tự rồi chọn Dimension. Cuối cùng xuất ra file excel có dạng:

STT   Khoảng cách

5    37

6    26

7    29

8    34

.........

Trýờng hợp 2 [Select Ðiểm ðầu - Ðiểm cuối]:

Lựa chọn (Seclect) Dimension ðầu tiên (Dimension 1) rồi chọn Dimension cuối (Dimension n). Cuối cùng cho ra file excel có dạng:

STT                               Khoảng cách

Dimension 1                  37

Dimension 2                  26

Dimension 3                  29

Dimension 4                  37

Dimension 5                  32

..........................................

Dimension 29                40

Link file:

http://www.cadviet.c.../2883_hoi_3.dwg

Em trân trọng cảm õn!


  • 0

#37 minhluong007

minhluong007

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 May 2014 - 08:34 AM

bác nào hướng dẫn em các bước dùng lệnh Ha.lsp của bác ketxu được không,.. em mới nhìn mà load được vào cad rồi không biết xuất ra excel kiểu gì


  • 0

#38 rong_con

rong_con

    Edu level: li1

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 September 2014 - 02:34 PM

Khi dùng lisp của bác Doan Van Ha , Cho mình hỏi xíu : khi xuất ra dimention hay text  thì trong file excel hay ghi ở dạng \A1;khoảng cách    , muốn bỏ phần \A1; đi thì làm sao??? Vì mình cần copy và sum cái dimention thôi

 Còn khi xuất ra text hay mtext: text em cần xuất là gồm nhìu hàng trong một text, vậy em muốn xuất ra text theo từng hàng vào từng cột khác nhau trong excel thì sao hả các bác???? VD: click chuột chọn text là bao gồm:

A

(enter)

B

(enter)

C

Em muốn xuất ra excel  theo cột lần lượt là A   B   C

Thanks các bác


  • 0

#39 rong_con

rong_con

    Edu level: li1

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 September 2014 - 02:51 PM

Em ví dụ file xuất ra luôn cho rõ

Khi xuất ra excel có dang như sau:

\A1;a/15\P(Dht1)>Dht1-ABC\PMhh;Text1

Kết quả em mong muốn là xuất ra excel thay dạng cột nhu sau

A                               B                                                      C

a/15      (Dht1)>Dht1-ABC (Dht1)>Dht1-ABC                 Mhh  


  • 0

#40 tanhung112003

tanhung112003

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 July 2015 - 10:16 AM

Cái này do format CVS ở máy Ketxu nhận dấu ; làm dấu phân cách, bạn sửa trong code chỗ ";Text" , ";Dim" thành ",Text" , ",Dim" là được

Bác hay quá ,em da sua theo va da ok.Bac giup em sua tiep code xuat  de xuat ra du lieu kieu nhu the này được ko ạ:

trong file  xuat csv:

 

    Stt        Ten                               VL       Dai         Rong         Cao             SL      Ma

     1        Ván n\U+1EC7m 1        MDF    1300      650            475             1       ABC1

     2        Ván n\U+1EC7m 2        PB       1600      670            475             4       ABC2

(trong cad là "ván nệm" khi xuất thì "Ván n\U+1EC7m",cái này em sẽ tự sửa chính tả )

Và co hien yeu cau moi lan chon doi tuong .vidu : " Hay chon ten :" ,"hay chon VL:"....co o command.Vong lap la 7 chon  thi xuong hang nhu bang .Bac giup em nha.


  • 0